# Expertises

## List expertises

Public endpoint to list all available expertises supported by TextMaster.

Expertises allow clients to create projects that will only be available to authors with expert skills in a given area. Author expertises are validated by TextMaster's community managers in order to allow verified experts to work on sensible projects.

Expertises are scoped by activity, meaning that the copywriting activity has a different expertise set than the translation and proofreading activities.

{% openapi src="<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>" path="/v1/public/expertises" method="get" %}
<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>
{% endopenapi %}

#### Code samples

```shell
curl -G "https://api.textmaster.com/v1/public/expertises" \
  --data-urlencode "filter=professional"
```

## List sub-expertises

Public endpoint to list all available sub-expertises supported by TextMaster.

An expertise can have one or more sub-expertise(s), they can be seen as a refinements of the subject described by the expertise (ex: `Finance → Banking` or `Finance → Equity Markets`).

{% openapi src="<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>" path="/v1/public/expertises/{expertise\_id}/sub\_expertises" method="get" %}
<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>
{% endopenapi %}

#### Code samples

```shell
curl "https://api.textmaster.com/v1/public/expertises/61698b008b81926d91c0f779/sub_expertises"
```

## Get a sub-expertise

{% openapi src="<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>" path="/v1/public/expertises/{expertise\_id}/sub\_expertises/{sub\_expertise\_id}" method="get" %}
<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>
{% endopenapi %}

#### Code samples

```shell
curl "https://api.textmaster.com/v1/public/expertises/61698b008b81926d91c0f770/sub_expertises/61698b008b81926d91c0f773"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.textmaster.com/reference/expertises.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
